Skip to main content
GET
/
b2b
/
assets
/
{asset}
Get Asset
curl --request GET \
  --url https://nexus.kraken.com/b2b/assets/{asset} \
  --header 'API-Key: <api-key>' \
  --header 'API-Sign: <api-key>'
{
  "result": {
    "symbol": "BTC",
    "english_name": "<string>",
    "links": {
      "self": {
        "href": "<string>",
        "type": "<string>"
      },
      "logo": {
        "width": 32767,
        "height": 32767,
        "href": "<string>",
        "type": "<string>"
      }
    },
    "description": "<string>",
    "bearish_insights": "<string>",
    "bullish_insights": "<string>",
    "circulating_supply": "1.23",
    "total_supply": "1.23",
    "max_supply": "1.23",
    "market_cap_value": "1.23",
    "dominance_percent": "1.23",
    "market_cap_rank": 2147483647,
    "change_value_24h": "1.23",
    "change_percent_24h": "1.23",
    "volume_value_24h": "1.23",
    "ath_value": "1.23",
    "ath_date": "2023-03-13"
  }
}

Documentation Index

Fetch the complete documentation index at: https://kraken-sandbox.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

API-Key
string
header
required

The "API-Key" header should contain your API key.

API-Sign
string
header
required

Authenticated requests should be signed with the "API-Sign" header, using a signature generated with your private key, nonce, encoded payload, and URI path.

Headers

Payward-Version
enum<string>
default:2025-04-15

The target version of the Embed API to use. The API version name is based on the date when the API version was released. For example, the API version 2025-04-15 was released on April 15, 2025.

Available options:
2025-04-15

Path Parameters

asset
string
required
Required string length: 3 - 16
Example:

"BTC"

Query Parameters

quote
string
default:USD

If provided, shows values as the provided asset.

Required string length: 3 - 16
Example:

"BTC"

lang
string
default:en

RFC5646 Language Tag

Pattern: ^([a-zA-Z]{1,8})(-[a-zA-Z\d]{1,8})*$
Example:

"az-Arab-x-AZE-derbend"

Response

Response

result
object